PCI/internal sound not working randomly, random hangs: "cannot set freq 16000 to ep 0x86" shown in syslog

Bug #884210 reported by João Pinto on 2011-10-31
288
This bug affects 61 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

The sound works fines most of the fines, however on random boots, no sound is produced and after logging in the sound preferences does not show any device input/output device.

When this happens the dmesg output is flooded with:
2:3:1: cannot set freq 16000 to ep 0x86

I have plugged at Logitech, Inc. QuickCam E 3500, so it might be related to:
Logitech, Inc. QuickCam E 3500

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: alsa-base 1.0.24+dfsg-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: janito 2970 F.... pulseaudio
 /dev/snd/pcmC2D0c: janito 2970 F...m pulseaudio
 /dev/snd/controlC0: janito 2970 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfbff8000 irq 54'
   Mixer name : 'Realtek ALC889'
   Components : 'HDA:10ec0889,1458a132,00100004'
   Controls : 40
   Simple ctrls : 23
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xf9ffc000 irq 17'
   Mixer name : 'Nvidia GPU 12 HDMI/DP'
   Components : 'HDA:10de0012,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
Card2.Amixer.info:
 Card hw:2 'U0x46d0x9a4'/'USB Device 0x46d:0x9a4 at usb-0000:00:1a.7-2, high speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:09a4'
   Controls : 2
   Simple ctrls : 1
Card2.Amixer.values:
 Simple mixer control 'Mic',0
   Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum
   Capture channels: Mono
   Limits: Capture 0 - 3072
   Mono: Capture 1 [0%] [23.00dB] [on]
Date: Mon Oct 31 12:47:13 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=pt:pt_BR:en
 PATH=(custom, user)
 LANG=pt_PT.UTF-8
 SHELL=/bin/bash
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: Daemon not responding.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: Daemon not responding.
SourcePackage: alsa-driver
Symptom: audio
Title: PCI/internal sound card not detected
UpgradeStatus: Upgraded to oneiric on 2011-09-26 (34 days ago)
dmi.bios.date: 08/04/2011
dmi.bios.vendor: Award Software International, Inc.
dmi.bios.version: Fh3
dmi.board.name: X58A-UD3R
dmi.board.vendor: Gigabyte Technology Co., Ltd.
dmi.board.version: x.x
dmi.chassis.type: 3
dmi.chassis.vendor: Gigabyte Technology Co., Ltd.
dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFh3:bd08/04/2011:svnGigabyteTechnologyCo.,Ltd.:pnX58A-UD3R:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnX58A-UD3R:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr:
dmi.product.name: X58A-UD3R
dmi.sys.vendor: Gigabyte Technology Co., Ltd.

+++ This bug was initially created as a clone of Bug #583168 +++

Original bug was closed due to EOL. Bug is still present in FC14. Sometimes when system starts up the system is very slow. Taking a look at the /var/log/messages file shows a large number of entries of the form:

Dec 16 10:31:57 kernel: [ 2711.698066] ALSA sound/usb/clock.c:233: 3:3:3: cannot set freq 16000 to ep 0x86

And a bit less but also frequently:

Dec 16 10:38:13 pulseaudio[2043]: module-alsa-card.c: Failed to find a working profile.
Dec 16 10:38:13 pulseaudio[2043]: module.c: Failed to load module "module-alsa-card" (argument: "device_id="0" name="usb-046d_08c9_56B751A2-02-U0x46d0x8c9" card_name="alsa_card.usb-046d_08c9_56B751A2-02-U0x46d0x8c9" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.

Login in is also very slow since it is unable to play the required sounds when selecting a username to use for login; this is the first indicator of this bug when using the system.

What kind of USB sound device?

Two USB sound devices:

- Logitech USB Headset / A-0356A (with mic)
- Logitech QuickCam (with mic)

$ lsusb
...
Bus 001 Device 005: ID 046d:0a01 Logitech, Inc. USB Headset
Bus 001 Device 003: ID 046d:08c9 Logitech, Inc. QuickCam Ultra Vision
...

I have problem with mic on Logitech 9000 (on 2 PC).
To avoid it, I have disabled snd-usb-audio.ko module.

This problem appears to be widespread and is triggered somehow by pulseaudio. One workaround is to remove the snd-usb-audio module, wait a few seconds, and then load it again.

suddenly, i am meeting this bug. it has appeared at least 5 times today. the system is now stable.

these are my usb devices:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 003: ID 046d:c05a Logitech, Inc. Optical Mouse M90
Bus 003 Device 002: ID 046d:c31c Logitech, Inc.
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 07d1:3c03 D-Link System AirPlus G DWL-G122 Wireless Adapter(rev.C1) [Ralink RT73]
Bus 001 Device 004: ID 046d:0825 Logitech, Inc.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

and this is a sample from /var/log/messages:
kernel: [ 4497.987096] ALSA sound/usb/clock.c:233: 4:3:4: cannot set freq 48000 to ep 0x86

the only thing i think of other than auto yum updates everyday is that i updated/installed the latest version of skype on april 22

also, out of character is when i log in to a particular user on this system kde tells me that :
audio device playback HDA intel (ALC662 rev1 Analog) does not work

i am testing this:

the contents of /etc/modprobe.d/snd-usb-audio.conf :
alias snd-usb-audio off

I'm also affected with F15.
QuickCam E3500

I would like to emphasize that this problem is intermittent; however, I am noticing an increased frequency whenever I have 2 devices that have sound capabilities, in particular microphone sound devices. Similar to Joël Wijngaarde's (original bug reporter) report I am seeing in the syslog messages the following:

Jun 14 10:13:02 mobile-pc pulseaudio[2885]: module.c: Failed to load module "mo
dule-alsa-card" (argument: "device_id="0" name="usb-046d_0991_0E39ACE1-02-U0x46d
0x991" card_name="alsa_card.usb-046d_0991_0E39ACE1-02-U0x46d0x991" tsched=yes ig
nore_dB=no card_properties="module-udev-detect.discovered=1""): initialization f
ailed.
Jun 14 10:13:03 mobile-pc kernel: [ 1529.584231] ALSA sound/usb/clock.c:233: 2:3
:1: cannot set freq 16000 to ep 0x86
Jun 14 10:13:04 mobile-pc kernel: [ 1530.584149] ALSA sound/usb/clock.c:233: 2:3
:1: cannot set freq 16000 to ep 0x86
Jun 14 10:13:05 mobile-pc kernel: [ 1531.584183] ALSA sound/usb/clock.c:233: 2:3
:1: cannot set freq 16000 to ep 0x86

The "sound/usb/clock.c:233" report line repeats several times (> 15 times) and the overall system response time noticeably slows to a grind. The frequency of this intermittent bug occurence appears to be more often when I have more than one audio input device connected:

# lsusb
Bus 001 Device 002: ID 046d:0991 Logitech, Inc. QuickCam Pro for Notebooks

and my native mobo audio device (from "lshw")
pci@0000:00:1b.0 N10/ICH 7 Family High Definition Audio Controller [8086:27D8]

I am observing this bug on a "Lenovo Thinkpad T60p" using the following:

GNU/Linux Distribution: Fedora 14
Kernel: 2.6.35.13-92.fc14.i686.PAE #1 SMP

Confirming the bug. Reproducible every suspend/resume cycle.
My case is :
Logitech C310 webcam
#lsusb
Bus 002 Device 006: ID 046d:081b Logitech, Inc.
#tail -f /var/log/messages
kernel: [13358.103143] ALSA clock.c:218: 7:3:2: cannot set freq 24000 to ep 0x86
kernel: [13358.240523] ALSA clock.c:233: current rate 290 is different from the runtime rate 32000

Latest F14 stock kernel, pulseaudio from repo.
Mic works ok until first suspend, after which no recording is possible. Plug out/in fixes the problem.

Since i have to use custom 2.6.39-rc1+ kernel, i tried it with latest ALSA from git (needs to compile /usr/src/kernels/`uname -r`/linux/include/smp_lock.h, which has been removed, i took it from 13-92.fc14 src), and it triggers new behavior :

Upon coldboot:

1.Recording seemingly possible, but recording indicator is inactive (in pavucontrol it's seen only if "All Streams" is chosen but still inactive) or "stream empty" when trying to playback.
or
2.Recording, but probably with wrong frequency, so playback of recorded sound is pitchshifted and speeded up.

Plug-out/plug-in fixes the problem unreliably. Worst of all even if it does - only before first wakeup from suspend. Then disconnect-reconnect doesn't help anymore.

A dirty workaround prooved to be functional - modules, alsa and pulseaudio have to be stopped and restarted in particular order :

Create executable script 20snd in /usr/lib/pm-utils/sleep.d/
#cat /usr/lib/pm-utils/sleep.d/20snd

#!/bin/sh
#
#I'm logged in as root, so it may require adaptation.
. "${PM_FUNCTIONS}"

case "$1" in
 hibernate|suspend)
killall pulseaudio
/etc/init.d/alsasound stop
#skype hangs on resume if everything sound-related was restarted
killall skype
modprobe -r snd_usb_audio
;;
 thaw|resume)
#kmods u've to reload. my specific are xfi,via. determine your with lsmod.
modprobe -v snd_hda_codec_via
modprobe -v snd_hda_intel
modprobe -v snd_ctxfi
modprobe -v snd snd_hda_codec_via snd_hda_intel snd_hda_codec snd_hwdep ctxfi snd_seq snd_seq_device snd_pcm snd_timer
modprobe -v snd_usb_audio
sleep 1
# /etc/init.d/alsasound start #probably unnecessary
pulseaudio -D
export DISPLAY=:0
#substitute root with your username
su -c - root "gmixer -d" &disown
su -c - root "skype" & disown
;;
    *) exit $NA
  ;;
esac

This fixes it for me.

(In reply to comment #9)

> Since i have to use custom 2.6.39-rc1+ kernel, i tried it with latest ALSA from
> git, and it triggers new
> behavior :

Forgot to add :
I was unable to defeat this behavior, so i reverted to last stable alsa-driver.

> Upon coldboot:
>
> 1.Recording seemingly possible, but recording indicator is inactive (in
> pavucontrol it's seen only if "All Streams" is chosen but still inactive) or
> "stream empty" when trying to playback.
> or
> 2.Recording, but probably with wrong frequency, so playback of recorded sound
> is pitchshifted and speeded up.

Symptom 1 pertains to both both kernels after resume, symptom 2 only to 39-rc1+ with alsa from git.
With latest Fedora's kernel it's indeed enough to disconnect/reconnect the cam to make it work.

> A dirty workaround

Script is tested in this config :
kernel 2.6.35.13-92.fc14.i686 + alsa-driver 1.0.24
kerenel 2.6.39-rc1+ + alsa-driver 1.0.24

João Pinto (joaopinto) wrote :
Alessandro Menti (elgaton) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 681189, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

Alessandro Menti (elgaton) wrote :

Reopening this bug as per <https://bugs.launchpad.net/ubuntu/+source/linux/+bug/459445/comments/25>.

Note: more bug reports available at bug #459445 (master bug - present at least from Ubuntu 9.10!), bug #883892, bug #681189).

Alessandro Menti (elgaton) wrote :

Confirmed bug (see linked bug reports).

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
summary: - PCI/internal sound not working, on random boots
+ PCI/internal sound not working randomly, random hangs: "cannot set freq
+ 16000 to ep 0x86" shown in syslog
Alessandro Menti (elgaton) wrote :

Changed affected package so that it matches the one in bug #459445.

affects: alsa-driver (Ubuntu) → linux (Ubuntu)

Using Oneiric and this bug affects me since pulseaudio adoption in ubuntu (I suppose).
Please fix this because, when it happens, not only audio does not work, but sometimes (probably when the system tries to emit a sound) the system hangs for seconds to minutes.
The only workaround I've found is to reboot the machine.
Thanks

Dave Gilbert (ubuntu-treblig) wrote :

High suggested by Elgaton; OK since it's a moderate impact apparently for quite a few people, or depending on what you're doing could be an essential component.

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: hw-specific metabug
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the others). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.1-rc9 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.1-rc9'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Thanks in advance.

tags: added: needs-upstream-testing
João Pinto (joaopinto) wrote :

Tested with kernel 3.1.0-030100rc10-generic, same problem.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
João Pinto (joaopinto) wrote :

Adding more information, using "pulseaudio -k" randomly fixes the problem.

João Pinto (joaopinto) wrote :

After some research I have found that there is a quirk required for some USB devices audio to work properly, source:
http://pkgbuild.com/~heftig/linux-zen/usb-add-reset-resume-quirk-for-several-webcams.patch
I am now rebuilding Oneiric's kernel with the USB_QUIRK_RESET_RESUME for my webcam model, will report the results.

João Pinto (joaopinto) wrote :

This bug might be a duplicate for bug 843431 which proposes the same patch.

Also seeing this on RHEL 6.1 2.6.32-131.6.1.el6.x86_64 with a Logitech, Inc. Webcam Pro 9000.

Bus 001 Device 102: ID 046d:0809 Logitech, Inc. Webcam Pro 9000

Nov 17 20:02:56 godzilla kernel: 87:3:4: cannot set freq 48000 to ep 0x86
Nov 17 20:02:57 godzilla kernel: 87:3:4: cannot set freq 48000 to ep 0x86
Nov 17 20:02:58 godzilla kernel: 87:3:4: cannot set freq 48000 to ep 0x86
Nov 17 20:02:59 godzilla kernel: 87:3:4: cannot set freq 48000 to ep 0x86
Nov 17 20:03:00 godzilla pulseaudio[6397]: alsa-source.c: Failed to set hardware parameters: Connection timed out

messages above were being logged until I unplugged the webcam.

João Pinto (joaopinto) wrote :

Just to update, the USB_QUIRK_RESET_RESUME did not resolve the problem and this bug is still present on Linux 3.2.0-7 .

Garrett Curley (ga2re2t) wrote :

Can also confirm that I experience this same bug. Was surprised to learn from reading the various bug reports that my Logitech E3500 could be the source of the problem, but sure enough the problem seems to be resolved by unplugging the camera.

I am running Ubuntu 11.10, kernel 3.0.0-15-generic-pae

I have been looking for a solution for some time and have been trying various brute force techniques to try to force the sound to work (though sometimes Ubuntu boots with no sound issues, so the problem is not necessarily systematic). I got the impression that the issue may be related to sound permissions because when the bug occurs I can use the "aplay" command only through sudo. Some of my brute force attempts to resolve the issue have been to use the following commands:
 sudo chmod -R a+rwX /dev/snd
 sudo alsa force-reload

I also check alsamixer to make sure my sound isn't muted, which it is sometimes for some unknown reason. Sometimes the above actions work, but not always, so maybe the sound just comes back through luck.

Tim Kuijsten (kuijsten) wrote :

The same problem with a Logitech Quickcam 3000 for Business on an up-to-date Ubuntu 11.10 Oneiric (3.0.0.16 #29 x86_64). The wiki page [1] states this cam should work out of the box since 8.04 so that's why I bought this cam. It worked great until an update to 11.10 (or the update to 11.04, not sure). Then it started creating a load on the system of 1 (single core) and floods the syslog ever since. It's making the system very unstable because of the high load. Unplugging the camera fixes the load problem.

The first bug report of this problem was more than 2,5 half years ago in bug #459445, which was downgraded to "won't fix". I hope this will be reconsidered.

[1] https://wiki.ubuntu.com/SkypeWebCams

Fabio Marconi (fabiomarconi) wrote :

Hello
This seems fixed in linux 3.2.0-20.32 shipped in Precise beta2 http://cdimage.ubuntu.com/daily-live/current/
can someone verify in a live session and feed back ?
Thanks
fabio
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
João Pinto (joaopinto) wrote :

I am sorry but I am still experiencing the problem using the 3.2.0-20.32.

This is a random issue, not something that you can reliably validate with a few boots, unless you have a specific diff/patch/description of a fix please do not change the status to Incomplete again.

Thanks

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Same problem suddenly appeared here with Natty. Did not see that before, started recently.
Moved hard disk to another machine with completely different hardware (different mother board with different everything ie. sound, network, etc), still the same message flooding:

[41753.492207] 3:3:1: cannot set freq 16000 to ep 0x86
[41754.492182] 3:3:1: cannot set freq 16000 to ep 0x86
[41755.492176] 3:3:1: cannot set freq 16000 to ep 0x86
[41756.492163] 3:3:1: cannot set freq 16000 to ep 0x86
[41757.492156] 3:3:1: cannot set freq 16000 to ep 0x86
[41758.492142] 3:3:1: cannot set freq 16000 to ep 0x86
[41759.548151] 3:3:1: cannot set freq 16000 to ep 0x86
[41760.548148] 3:3:1: cannot set freq 16000 to ep 0x86
[41761.548140] 3:3:1: cannot set freq 16000 to ep 0x86
[41762.548342] 3:3:1: cannot set freq 16000 to ep 0x86
[41763.548126] 3:3:1: cannot set freq 16000 to ep 0x86

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.04
Release: 11.04
Codename: natty
Kernel: 2.6.38-13-generic
Bit width: 32 bits
Sound: Advanced Linux Sound Architecture Driver Version 1.0.23.

Flooding system log:
Apr 12 10:54:51 chi-la kernel: [42866.132142] 3:3:1: cannot set freq 16000 to ep 0x86
Apr 12 10:54:52 chi-la kernel: [42867.132121] 3:3:1: cannot set freq 16000 to ep 0x86
Apr 12 10:54:53 chi-la kernel: [42868.132097] 3:3:1: cannot set freq 16000 to ep 0x86
Apr 12 10:54:53 chi-la pulseaudio[2088]: module-alsa-card.c: Failed to find a working profile.
Apr 12 10:54:53 chi-la pulseaudio[2088]: module.c: Failed to load module "module-alsa-card" (argument: "device_id="1" name="usb-046d_09a4_D1D2DD20-02-U0x46d0x9a4" card_name="alsa_card.usb-046d_09a4_D1D2DD20-02-U0x46d0x9a4" tsched=yes ignore_dB=no card_properties="module-udev-detect.discovered=1""): initialization failed.
Apr 12 10:54:54 chi-la kernel: [42869.232088] 3:3:1: cannot set freq 16000 to ep 0x86
Apr 12 10:54:55 chi-la kernel: [42870.232189] 3:3:1: cannot set freq 16000 to ep 0x86
Apr 12 10:54:56 chi-la kernel: [42871.232162] 3:3:1: cannot set freq 16000 to ep 0x86
Apr 12 10:54:57 chi-la kernel: [42872.232138] 3:3:1: cannot set freq 16000 to ep 0x86

Killing "pulseaudio"

   sudo killall -9 pulseaudio

stopped the flood for a while (until autoloaded again).

Removing "pulseaudio" will stop the flood:

   sudo apt-get remove pulseaudio

Attaching "syslog.txt" containing 2500 lines before first appearance of error.

Installed "pulseaudio" back:

  sudo apt-get install pulseaudio

and error message is not appearing so far. Strange.

paul v johnson (p-johno) wrote :

Just upgraded to precise and the problem persists. I also have a logitech E3500.

jaykaycgn (bigbedue) wrote :

Problem exists here too with Logitech Webcam C270 (Bus 001 Device 002: ID 046d:0825 Logitech, Inc. Webcam C270) on current ubuntu 12.04 and also on recent arch linux.

On 02.06.2012 20:55, jaykaycgn wrote:
> Problem exists here too with Logitech Webcam C270 (Bus 001 Device 002:
> ID 046d:0825 Logitech, Inc. Webcam C270) on current ubuntu 12.04 and
> also on recent arch linux.

Workaround: blacklist snd-usb-audio

kylea (kylea) wrote :

I have a 11.10 with kernel 3.0.0-21-generic #35-Ubuntu SMP Fri May 25 17:57:41 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
and the issue is present.

My 12.04 (kernel 3.2-0-25-generic) reports the message :

could not get freq at ep 0x86

so the message is slightly different - the web cam does work....

This message is a notice that Fedora 14 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 14. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 14 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Norbert (norbert-ng) wrote :

I have the same problem.

But I have ubuntu/kubuntu/xubuntu 12.04 64 bit on the same PC (no virtualization) and *only ubuntu* has the problem.
To me it lloks like it' gnome/unity related.

I use gnome3 as a desktop manager

Hope this informations of mine will be useful

TIA

Still present on Ubuntu 12.10 with Logitech E3500 web cam.

GreatKir (deminkirill) wrote :

Still present on Ubuntu 12.10 amd64.
Kernel 3.5.0.18
Logitech c270 webcam

GreatKir (deminkirill) wrote :

My workaround:
sudo rmmod -w snd-usb-audio
reconnecting webcam
sudo modprobe snd-usb-audio
But I can't reconnect webcam from terminal. How I can do this?

Rob Cannell (r-cannell) wrote :

I get this problem on Ubuntu 12.04 64bit (Unity desktop).

Also had it on Lucid 64bit - upgraded to 12.04 Precise, not fresh install.

Ubuntu 12.04, Logitech web. This bug is present since Ubuntu 8.04 in all Linux distributions I have tried.

GreatKir (deminkirill) wrote :

Please, test if this commands will help for you:
sudo -i
echo on > /sys/bus/usb/devices/<your-webcam-usb-number>/power/control

Number of your device you can detect in this folder /sys/bus/usb/devices/. It should have folder "video4linux" in some subfolder. For example:
echo on > /sys/bus/usb/devices/1-4/power/control

GreatKir (deminkirill) wrote :

Finally, most stable workaround is this script: https://dl.dropbox.com/u/698007/ubuntu-bug459445-workaround.sh
You may change only message from kern.log in this file.
This script should be started every minute by cron.

@GreatKir (deminkirill)

Workaround script you've linked to works even better if you link to its author official post on the topic (in this case author is me):

http://www.techytalk.info/logitech-e3500-webcam-and-cannot-set-freq-16000-to-ep-0x86/

;)

GreatKir (deminkirill) wrote :

@Marko Martinović (marko-techytalk.info)

Thanks!
I'm sorry if it's your script. I couldn't found where I downloaded this script.
In my case this bug can be appear not only after system boot and error messages are:"cannot set freq 48000 to ep 0×86". So I added it to cron and modified message detection.
But thanks for script! With small modification it works great for me!

Thanks for the blunt but effective script.
Hope this spanner in the works is fixed soon. Glad to see the importance is "high".

Except that...my Logitech webcam no longer appears as an audio input option in sound settings after a reboot. It does appear if I unplug and replug the webcam. So it boots but to use Skype still requires manual intervention.

dukemockingbird (ejdahlen) wrote :

Still affecting me in 12.04 LTS with AMD 64. Kernel = 3.2.0-29-generic #46. Had absolutely no issues in 10.04 LTS.

All software updated and the additional FGLRX driver added for my ATI RS780 HDMI Audio [Radeon HD 3000-3300 Series].

System spews out "cannot set freq 48000 to ep 0x86" No audio. No audio devices shown in the "Sound" settings.

Tracked it down to the Logitech C310 webcam.

Workarounds:
Sometimes executing "sudo force-reload" once fixes it. Sometimes doing this a second time is necessary.
Best solution is to plug in the webcam after I am fulled logged into the system. Using this method, everything works like a charm. No spewing of errors either.

tags: added: quantal
Claude PESTY (claude-pesty) wrote :

Have been affected by this bug for years now. Can't remember exactly when it started, but for sure all subsequent kernel official releases since this time have exhibited it, until the current 3.5.0-21-generic #32.
The difference that may happen from one kernel to another is how frequently the bug ramdomly occurs on boots.

So I confirm what Marko wrote in his post (http://www.techytalk.info/logitech-e3500-webcam-and-cannot-set-freq-16000-to-ep-0x86/) :
"Some Logitech web-cams have serious problems all of the last kernel revisions (somewhere since 2.6.26 kernel revision)"

Have recently discovered and applied Marko's workaround, described in his post, just changing the detected string from "cannot set freq 16000 ..." to "cannot set freq 48000 ...". Works very well, thanks to him ...

Here is my Logitech Webcam model :

$ lsusb
Bus 001 Device 002: ID 046d:0825 Logitech, Inc. Webcam C270

And a description of my symptoms, under 12.10 (quantal) 64-bit + 3.5.0-21-generic #32 kernel :

I have tons of "cannot set freq 48000 to ep 0x86" in Syslog, and the boot randomly hangs very often, more than 50% of times. The login screen appears, but without the background theme : it's all blue-purple, and the mouse and keyboard (both USB, like the webcam) are unresponsive. Sometimes it suddenly unfreezes after a while (10 to 30 seconds or so), but most of the times never : I have to hard reset the PC.
The problem disappears if I uninstall the "indicator-sound" package, which confirms, like the "unplug during boot" workaround, that the issue with Logitech USB webcam is only in startup sequence, at least for me.

I am also glad to see the importance has been set to "high" ...

Gotit (sca957) wrote :

I too followed Marko's workaround about a week ago except I changed the 16000 to 48000 as PESTY describes. I have not since had any issues with this error.

My Logitech webcam is:
$ lsusb
Bus 001 Device 002: ID 046d:081b Logitech, Inc. Webcam C310

Thanks Marko!!

Claude PESTY (claude-pesty) wrote :

I posted there my own experience of this bug on 2013-01-11 (see above). At this time, it was tagged with "high" importance, but unassigned, and is still not assigned ...
However this bug has a lot of duplicates, and most of all, has been affecting successive Linux Kernel versions for ages now. BTW, I have installed the 3.7.2 kernel version on an Ubuntu 12.10 (quantal) 64-bit instance, and the bug is still there ...
This post is just to trigger a notification to the "Notified of all changes" people, hoping this might hopefully revitalize the work to at least try to fix this longing issue ...

This bug is still present in Fedora 18.

Fred (eldmannen+launchpad) wrote :

I've had no problem with this before.
But this now affects me on 13.04 Raring Ringtail.

My Logitech webcam is:
$ lsusb
Bus 001 Device 002: ID 046d:0825 Logitech, Inc. Webcam C270

ivo welch (ivo-welch) wrote :

same problem, ubuntu 12.10, logitech video webcam

[ 289.848883] usb 3-1: new high-speed USB device number 3 using xhci_hcd
[ 290.044163] usb 3-1: New USB device found, idVendor=046d, idProduct=08c1
[ 290.044168] usb 3-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 290.046054] uvcvideo: Found UVC 1.00 device <unnamed> (046d:08c1)
[ 293.025536] input: UVC Camera (046d:08c1) as /devices/pci0000:00/0000:00:1c.1/0000:03:00.0/usb3/3-1/3-1:1.0/input/input18

Confirming this bug on freshly installed Raring using "Bus 003 Device 002: ID 046d:09a1 Logitech, Inc. QuickCam Communicate MP/S5500". Please advise if I can report this on some upstrem bug tracker.

Confirming previous comment. This bug is still present on Fedora 18.

I run F18 and see the this bug frequently.

I use F18, with all updates applied, on a X86_64 kernel with Evga Geforce 7600 GS PCI-E 256mb DDR2 video card. Have a Logitech quickcam connected to a usb.

Andrei (0p-andrei) wrote :

Similar problem with Logitech C270 Webcam in Ubuntu 13.04 _Raring Ringtail_ – Release amd64 (20130424): cannot set freq 48000 to ep 0×86. This release comes with kernel 3.8.0-19.

I’ve tested newer kernels:
v3.9.11-saucy/ – BUGGY
v3.10-rc1-saucy/ – Won’t boot
v3.10-rc2-saucy/ – Won’t boot
v3.10-rc3-saucy/ – Partial fixed. The message doesn’t seem to appear anymore, in Unity I see that the microphone receives sound, but arecord can’t record it. [1]
v3.10-rc4-saucy/ – haven’t tested it
v3.10-rc5-saucy/ – seems to work [2]
v3.11-rc2-saucy/ – seems ok too. ( http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc2-saucy/ )

[1] Linux a 3.10.0-031000rc3-generic #201305261935 SMP Sun May 26 23:35:53 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[ 41.198496] usb 2-2: new high-speed USB device number 3 using ehci-pci
[ 41.546591] usb 2-2: New USB device found, idVendor=046d, idProduct=0825
[ 41.546595] usb 2-2: New USB device strings: Mfr=0, Product=0, SerialNumber=2
[ 41.546597] usb 2-2: SerialNumber: A49568E0
[ 41.546879] uvcvideo: Found UVC 1.00 device (046d:0825)
[ 41.643274] input: UVC Camera (046d:0825) as /devices/pci0000:00/0000:00:13.2/usb2/2-2/2-2:1.0/input/input14
[ 41.672696] usb_audio: Warning! Unlikely big volume range (=6144), cval->res is probably wrong.
[ 41.672698] usb_audio: [5] FU [Mic Capture Volume] ch = 1, val = 1536/7680/1[ 57.272287] usb 2-2: USB disconnect, device number 3

[2] Linux a 3.10.0-031000rc5-generic #201306082135 SMP Sun Jun 9 01:36:22 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
[ 907.201457] usb 2-2: new high-speed USB device number 5 using ehci-pci
[ 907.549600] usb 2-2: New USB device found, idVendor=046d, idProduct=0825
[ 907.549611] usb 2-2: New USB device strings: Mfr=0, Product=0, SerialNumber=2
[ 907.549618] usb 2-2: SerialNumber: A49568E0
[ 907.550048] uvcvideo: Found UVC 1.00 device (046d:0825)
[ 907.646607] input: UVC Camera (046d:0825) as /devices/pci0000:00/0000:00:13.2/usb2/2-2/2-2:1.0/input/input16
[ 907.676560] set resolution quirk: cval->res = 384

Still experiencing this on F19. Created bug #991234.

(In reply to Raman Gupta from comment #16)
> Still experiencing this on F19. Created bug #991234.

I agree the bug is still present on F19.

João Pinto, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: bios-outdated-fh
tags: added: needs-upstream-testing
Kostis Leledakis (koleygr) wrote :

I have the same issue in 12.04 LTS 32-bit
(I have sound but when booting i get 4:3:1 cannot set freq16000 to ep 0x86 etc)

I just running the command:
apport-collect -p linux 884210

Kostis Leledakis (koleygr) wrote :

the above command gives me an error:
"
You are not the reporter or subscriber of this problem report, or the report is a duplicate or already closed.

Please create a new report using "apport-bug".
"

And i don't know what means to test the latest upstream kernel

Just ran into this error with F20 - This error is present there too/still.

#lsusb
Bus 001 Device 003: ID 046d:08ce Logitech, Inc. QuickCam Pro 5000

Main error (repeated on any tty I approach, X is unresponsive (black screen)
kernel: ALSA sound/usb/clock.c:309 3:3:3: cannot get freq at ep 0x86

messages also shows:
ALSA sound/usb/mixer.c:1303 usb_audio: Warning! Unlikely big volume range (=3072), cval->res is probably wrong.
ALSA sound/usb/mixer.c:1307 usb_audio: [5] FU [Mic Capture Volume] ch = 1, val = 4608/7680/1<6>
usbcore: registered new interface driver snd-usb-audio
uvcvideo: Found UVC 1.00 device <unnamed> (046d:08ce)

It happend also to me on Fedora 20.

[ 8712.359253] ALSA sound/usb/clock.c:300 4:3:4: cannot set freq 48000 to ep 0x86
[ 8717.366675] ALSA sound/usb/clock.c:300 4:3:4: cannot set freq 48000 to ep 0x86
[ 8722.374131] ALSA sound/usb/clock.c:300 4:3:4: cannot set freq 48000 to ep 0x86
[ 8727.381577] ALSA sound/usb/clock.c:300 4:3:4: cannot set freq 48000 to ep 0x86
[ 8732.389020] ALSA sound/usb/clock.c:300 4:3:4: cannot set freq 48000 to ep 0x86
[ 8737.398441] ALSA sound/usb/clock.c:300 4:3:4: cannot set freq 48000 to ep 0x86

My Camera is Logitech C270
Bus 003 Device 004: ID 046d:0825 Logitech, Inc. Webcam C270

Can we have this bug opened back up please since it happens still, on Fedora 20?

ApportVersion: 2.14.1-0ubuntu3.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: brooks 29057 F.... pulseaudio
 /dev/snd/controlC2: brooks 29057 F.... pulseaudio
 /dev/snd/controlC0: brooks 29057 F.... pulseaudio
CurrentDesktop: KDE
DistroRelease: Ubuntu 14.04
InstallationDate: Installed on 2014-04-15 (131 days ago)
InstallationMedia: Kubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: empty empty
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 astdrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-34-generic root=UUID=b0d5cc69-bc68-48cb-b774-dd7ccf252c6e ro nomdmonddf nomdmonisw nomdmonddf nomdmonisw
ProcVersionSignature: Ubuntu 3.13.0-34.60-generic 3.13.11.4
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-34-generic N/A
 linux-backports-modules-3.13.0-34-generic N/A
 linux-firmware 1.127.5
RfKill:
 2: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
Tags: trusty
Uname: Linux 3.13.0-34-generic x86_64
UpgradeStatus: Upgraded to trusty on 2014-04-22 (124 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/17/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 'V1.05 '
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: S7025
dmi.board.vendor: TYAN
dmi.board.version: empty
dmi.chassis.asset.tag: empty
dmi.chassis.type: 17
dmi.chassis.vendor: empty
dmi.chassis.version: empty
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr'V1.05':bd03/17/2010:svnempty:pnempty:pvrempty:rvnTYAN:rnS7025:rvrempty:cvnempty:ct17:cvrempty:
dmi.product.name: empty
dmi.product.version: empty
dmi.sys.vendor: empty

tags: added: apport-collected trusty

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Brooks B, thank you for your comment. Unfortunately, this bug report is not scoped to you, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

tags: removed: apport-collected metabug trusty
Changed in linux (Fedora):
importance: Unknown → High
status: Unknown → Won't Fix

OR using EOL release, and no response for years.

no longer affects: linux (Ubuntu)
affects: linux (Fedora) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: High → Undecided
status: Won't Fix → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.